%bcond_with test

Summary:        Mock a DNS Resolver object for testing
Name:           perl-Net-DNS-Resolver-Mock
Version:        1.20230216
Release:        3%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Net-DNS-Resolver-Mock
Source0:        https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/Net-DNS-Resolver-Mock-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: perl(Net::DNS::Resolver) perl(Net::DNS::ZoneFile)
BuildRequires: perl(strict) perl(warnings) perl(Net::DNS::Packet) perl(Net::DNS::Question)
BuildRequires: perl(Config) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: coreutils make perl-generators perl-interpreter perl(:VERSION) >= 5.6
%if %{with test}
BuildRequires: perl(Test::Exception) perl(Test::More)
%endif

%description
A subclass of Net::DNS::Resolver which parses a zonefile for it's data
source. Primarily for use in testing.

%if %{with test}
%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Test-Harness

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".
%endif

%prep
%autosetup -n Net-DNS-Resolver-Mock-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/author*

%if %{without test}
rm -rf %{buildroot}%{_libexecdir}/%{name}
%endif

%if %{with test}
%check
make test
%endif

%files
%license LICENSE
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%if %{with test}
%files tests
%{_libexecdir}/%{name}
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20230216-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20230216-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 cunshunxia <cunshunxia@tencent.com> - 1.20230216-1
- initial build
